Gentoo Archives: gentoo-dev

From: Johannes Huber <johu@g.o>
To: gentoo-dev@l.g.o
Subject: [gentoo-dev] RFC: EAPI 4 deprecated & ban
Date: Fri, 14 Aug 2015 22:03:40
Message-Id: 55CE6645.2030203@gentoo.org
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Hello Gentoos Penguins,

if we want to attract more contributors we should consider to have one
supported EAPI (latest). EAPI 4 is the last not marked as deprecated
(< EAPI 5). The move in ebuilds from EAPI 4 to EAPI 5 is very simple
replacing the declaration. As we have now git in place we could easily
do this with one commit (awesome!!!!).

So please discuss this to get it ready for decision on next council
meeting.

Have fun,
- -- 
Johannes Huber (johu)
Gentoo Linux Developer / KDE Team
GPG Key ID FDF4F788
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.1

iQJ8BAEBCgBmBQJVzmZCXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXQ0N0Y0MTczMjZGRTRGODM5M0MzOTU4RDAy
OTU0NDVDRUY5MDcyRDJGAAoJEClURc75By0vH6EP/iFqCNmAyKKz7TYsgLVlN72V
As/RpxAp3ag+pPN/vKzmIEA8ZyDKatgaAWWtdKdq3vHFXNghopvxbFjp3a0sxoth
ds0mLUhFpNCYoT8zNS+H91OwAjkL+3VUqRLYg8yTdvBHq++3QnB0ghEfEXM0sff5
CovLLZQov4qrCnGsve2vUQSEdINEEuETmZ3hO/JuiqqT8lOtO6w3N/eXQ/L2VOlD
M/ZcxRXlHoG7SkEs2vnPocaKOAYgAQITv6Cup0zPRFNjAmiWq3DX+xtLieJFhdkL
wOPqfSBzcHCHsJ2XVen7FW0SnYmQJniEfKSwwjneJs+HJb+m8iOQahQ8l4yz8zwP
hNwuu8dxYxK4/x9eQJkSlR1+mcoGv2IVOadme7XlTX9BEmGhTK7ABZyoFlvh4Cfd
Lkgog8DVb5o53kv67nKC87T2zVyPsL06uLVM6O5FbYaEa509aHsElgfnF+3Dmpyp
0I+3gj5oeYl2ScHNUaHZovUTMr7zVRHvwtLlFJcIveCY867x8xrccScQKgw+j9X/
1sNFCYQh2HJRh0xDBr/g8E5KW6HKJN4haQdqOHsyRW+9+j1GgT1IkgYXGyr2n8TB
L9wvyaSlwEFuKj6DvhzK02h5W8pCn86Sxog9z4vXEvdUs9pz2BlC992vww9bjVC6
4+gWbTtRBW4ERJZBpLhh
=jFSb
-----END PGP SIGNATURE-----

Replies

Subject Author
Re: [gentoo-dev] RFC: EAPI 4 deprecated & ban Andrew Savchenko <bircoph@g.o>
Re: [gentoo-dev] RFC: EAPI 4 deprecated & ban "Michał Górny" <mgorny@g.o>
Re: [gentoo-dev] RFC: EAPI 4 deprecated & ban "Daniel Campbell (zlg)" <zlg@g.o>